From 3b8fe00dc7ef6de76bc3b6dc0663eadebc9878e6 Mon Sep 17 00:00:00 2001
From: =?utf-8?q?J=C3=B6rg=20H=C3=B6hle?= <hoehle@users.sourceforge.net>
Date: Thu, 29 Apr 2010 06:33:17 +0200
Subject: winmm/tests: Silence test about play from 0 to 0 not immediately stopped.

---
 dlls/winmm/tests/mci.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/dlls/winmm/tests/mci.c b/dlls/winmm/tests/mci.c
index b064c0c..0b4fd2b 100644
--- a/dlls/winmm/tests/mci.c
+++ b/dlls/winmm/tests/mci.c
@@ -555,7 +555,8 @@ static void test_playWAVE(HWND hwnd)
 
     err = mciSendString("status mysound mode", buf, sizeof(buf), hwnd);
     ok(!err,"mci status mode returned %s\n", dbg_mcierr(err));
-    ok(!strcmp(buf,"stopped"), "mci status mode: %s after play from 0 to 0\n", buf);
+    /* In rare cases, the async player is still playing from 0 to 0. */
+    ok(!strcmp(buf,"stopped") || !strcmp(buf,"playing"), "mci status mode: %s after play from 0 to 0\n", buf);
 
     err = mciSendString("play MYSOUND from 250 to 0 notify", NULL, 0, hwnd);
     ok(err==MCIERR_OUTOFRANGE,"mci play from 250 to 0 notify returned %s\n", dbg_mcierr(err));
-- 
1.5.6.3

